spa_device_info Struct Reference
SPA » Device

Information about the device and parameters it supports. More...

## Data Fields

uint32_t | version
uint64_t | change_mask
uint64_t | flags
struct spa_param_info * | params
| supported parameters More...
uint32_t | n_params
| number of elements in params More...

## Detailed Description

Information about the device and parameters it supports.

This information is part of the info event on a device.

## Field Documentation

## version

uint32_t spa_device_info::version

## change_mask

uint64_t spa_device_info::change_mask

## flags

uint64_t spa_device_info::flags

## params

struct spa_param_info* spa_device_info::params

supported parameters

## n_params

uint32_t spa_device_info::n_params

number of elements in params

The documentation for this struct was generated from the following file:

- spa/monitor/device.h